Intermittent toolkit/components/normandy/test/browser/browser_about_studies.js | Test timed out -

RESOLVED FIXED in Firefox 64

Status

()

defect
P5
normal
RESOLVED FIXED
7 months ago
6 months ago

People

(Reporter: intermittent-bug-filer, Assigned: mythmon)

Tracking

({intermittent-failure})

unspecified
Firefox 65
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox64 fixed, firefox65 fixed)

Details

Attachments

(2 attachments)

Reporter

Description

7 months ago
treeherder
Filed by: btara [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=207839241&repo=autoland

https://queue.taskcluster.net/v1/task/U376UhuQRlSrRTYyZPvitQ/runs/0/artifacts/public/logs/live_backing.log

[task 2018-10-25T19:18:53.596Z] 19:18:53     INFO - TEST-PASS | toolkit/components/normandy/test/browser/browser_about_studies.js | The Learn More URL is formatted. - 
[task 2018-10-25T19:18:53.597Z] 19:18:53     INFO - Leaving test bound inner
[task 2018-10-25T19:18:53.599Z] 19:18:53     INFO - Entering test bound 
[task 2018-10-25T19:18:53.600Z] 19:18:53     INFO - Buffered messages logged at 19:18:13
[task 2018-10-25T19:18:53.601Z] 19:18:53     INFO - Console message: [JavaScript Error: "A promise chain failed to handle a rejection. Did you forget to '.catch', or did you forget to 'return'?
[task 2018-10-25T19:18:53.603Z] 19:18:53     INFO - See https://developer.mozilla.org/Mozilla/JavaScript_code_modules/Promise.jsm/Promise
[task 2018-10-25T19:18:53.604Z] 19:18:53     INFO - 
[task 2018-10-25T19:18:53.605Z] 19:18:53     INFO - Date: Thu Oct 25 2018 19:18:09 GMT+0000 (Coordinated Universal Time)
[task 2018-10-25T19:18:53.606Z] 19:18:53     INFO - Full Message: TypeError: content.document.getElementById(...) is null; can't access its "click" property
[task 2018-10-25T19:18:53.612Z] 19:18:53     INFO - Full Stack: JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: register :: line 205
[task 2018-10-25T19:18:53.613Z] 19:18:53     INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: completePromise :: line 717
[task 2018-10-25T19:18:53.614Z] 19:18:53     INFO - JS frame :: resource://testing-common/ContentTask.jsm :: receiveMessage :: line 110"]
[task 2018-10-25T19:18:53.615Z] 19:18:53     INFO - Buffered messages finished
[task 2018-10-25T19:18:53.616Z] 19:18:53     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/normandy/test/browser/browser_about_studies.js | Test timed out - 
[task 2018-10-25T19:18:53.617Z] 19:18:53     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-10-25T19:18:53.618Z] 19:18:53     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/normandy/test/browser/browser_about_studies.js | A promise chain failed to handle a rejection: TypeError: content.document.getElementById(...) is null; can't access its "click" property - stack: JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: register :: line 205
[task 2018-10-25T19:18:53.618Z] 19:18:53     INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: completePromise :: line 717
[task 2018-10-25T19:18:53.619Z] 19:18:53     INFO - JS frame :: resource://testing-common/ContentTask.jsm :: receiveMessage :: line 110Rejection date: Thu Oct 25 2018 19:18:09 GMT+0000 (Coordinated Universal Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
[task 2018-10-25T19:18:53.620Z] 19:18:53     INFO - Stack trace:
[task 2018-10-25T19:18:53.621Z] 19:18:53     INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
[task 2018-10-25T19:18:53.622Z] 19:18:53     INFO - chrome://mochikit/content/browser-test.js:nextTest:735
[task 2018-10-25T19:18:53.623Z] 19:18:53     INFO - chrome://mochikit/content/browser-test.js:timeoutFn:1190
[task 2018-10-25T19:18:53.624Z] 19:18:53     INFO - setTimeout handler*chrome://mochikit/content/browser-test.js:Tester_execTest:1152
[task 2018-10-25T19:18:53.624Z] 19:18:53     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:981
[task 2018-10-25T19:18:53.625Z] 19:18:53     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:795
[task 2018-10-25T19:18:53.626Z] 19:18:53     INFO - GECKO(3908) | MEMORY STAT vsizeMaxContiguous not supported in this build configuration.
[task 2018-10-25T19:18:53.627Z] 19:18:53     INFO - GECKO(3908) | MEMORY STAT | vsize 1852MB | residentFast 287MB | heapAllocated 90MB
[task 2018-10-25T19:18:53.628Z] 19:18:53     INFO - TEST-OK | toolkit/components/normandy/test/browser/browser_about_studies.js | took 45255ms
[task 2018-10-25T19:18:53.629Z] 19:18:53     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-10-25T19:18:53.630Z] 19:18:53     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/normandy/test/browser/browser_about_studies.js | Found a tab after previous test timed out: about:studies - 
[task 2018-10-25T19:18:53.631Z] 19:18:53     INFO - checking window state
[task 2018-10-25T19:18:53.632Z] 19:18:53     INFO - TEST-START | toolkit/components/normandy/test/browser/browser_about_studies.js
[task 2018-10-25T19:18:53.925Z] 19:18:53     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-10-25T19:18:53.928Z] 19:18:53     INFO - Buffered messages logged at 19:18:53
[task 2018-10-25T19:18:53.928Z] 19:18:53     INFO - Entering test bound 
[task 2018-10-25T19:18:53.929Z] 19:18:53     INFO - Buffered messages finished
[task 2018-10-25T19:18:53.930Z] 19:18:53     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/normandy/test/browser/browser_about_studies.js | Uncaught exception received from previously timed out test - at chrome://mochitests/content/browser/toolkit/components/normandy/test/browser/browser_about_studies.js:64 - ReferenceError: is is not defined
[task 2018-10-25T19:18:53.931Z] 19:18:53     INFO - Stack trace:
[task 2018-10-25T19:18:53.931Z] 19:18:53     INFO - testUpdatePreferences@chrome://mochitests/content/browser/toolkit/components/normandy/test/browser/browser_about_studies.js:64:5
[task 2018-10-25T19:18:53.932Z] 19:18:53     INFO - async*withAboutStudies/</<@chrome://mochitests/content/browser/toolkit/components/normandy/test/browser/browser_about_studies.js:11:7
[task 2018-10-25T19:18:53.932Z] 19:18:53     INFO - async*withNewTab@resource://testing-common/BrowserTestUtils.jsm:111:24
[task 2018-10-25T19:18:53.934Z] 19:18:53     INFO - async*withAboutStudies/<@chrome://mochitests/content/browser/toolkit/components/normandy/test/browser/browser_about_studies.js:10:5
[task 2018-10-25T19:18:53.934Z] 19:18:53     INFO - Async*Tester_execTest/<@chrome://mochikit/content/browser-test.js:1093:34
[task 2018-10-25T19:18:53.934Z] 19:18:53     INFO - async*Tester_execTest@chrome://mochikit/content/browser-test.js:1084:16
[task 2018-10-25T19:18:53.934Z] 19:18:53     INFO - nextTest/<@chrome://mochikit/content/browser-test.js:981:9
[task 2018-10-25T19:18:53.934Z] 19:18:53     INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
[task 2018-10-25T19:18:53.950Z] 19:18:53     INFO - TEST-PASS | toolkit/components/normandy/test/browser/browser_about_studies.js | App element was found - 
[task 2018-10-25T19:18:53.972Z] 19:18:53     INFO - Leaving test bound 
[task 2018-10-25T19:18:53.975Z] 19:18:53     INFO - Entering test bound inner
[task 2018-10-25T19:18:53.992Z] 19:18:53     INFO - Console message: [JavaScript Warning: "Sending message that cannot be cloned. Are you trying to send an XPCOM object?" {file: "resource://testing-common/content-task.js" line: 62}]
[task 2018-10-25T19:18:54.529Z] 19:18:54     INFO - TEST-PASS | toolkit/components/normandy/test/browser/browser_about_studies.js | Clicking Learn More opens the correct page on SUMO. - 
[task 2018-10-25T19:18:54.530Z] 19:18:54     INFO - TEST-PASS | toolkit/components/normandy/test/browser/browser_about_studies.js | The Learn More URL is formatted. - 
[task 2018-10-25T19:18:54.572Z] 19:18:54     INFO - Leaving test bound inner
[task 2018-10-25T19:18:54.574Z] 19:18:54     INFO - Entering test bound 
[task 2018-10-25T19:18:54.954Z] 19:18:54     INFO - Console message: [JavaScript Error: "Invalid string label"]
[task 2018-10-25T19:18:55.414Z] 19:18:55     INFO - TEST-PASS | toolkit/components/normandy/test/browser/browser_about_studies.js | Clicking Update Preferences opens the privacy section of the new about:preferences. -
Assignee

Comment 1

7 months ago
This looks like the same error that caused bug 1498940 to be backed out.
See Also: → 1498940
Comment hidden (Intermittent Failures Robot)

Comment 4

7 months ago
Pushed by mcooper@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/c854f53ff107
Wait for learn more link before clicking it in about:Studies tests r=Gijs

Comment 5

7 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/c854f53ff107
Status: NEW → RESOLVED
Last Resolved: 7 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 65
This is still happening.

Recent failure: https://treeherder.mozilla.org/logviewer.html#?job_id=208501754&repo=autoland&lineNumber=7273

[task 2018-10-29T23:25:35.901Z] 23:25:35     INFO - Entering test bound 
[task 2018-10-29T23:25:35.906Z] 23:25:35     INFO - Buffered messages logged at 23:24:12
[task 2018-10-29T23:25:35.907Z] 23:25:35     INFO - Console message: [JavaScript Error: "A promise chain failed to handle a rejection. Did you forget to '.catch', or did you forget to 'return'?
[task 2018-10-29T23:25:35.907Z] 23:25:35     INFO - See https://developer.mozilla.org/Mozilla/JavaScript_code_modules/Promise.jsm/Promise
[task 2018-10-29T23:25:35.908Z] 23:25:35     INFO - 
[task 2018-10-29T23:25:35.909Z] 23:25:35     INFO - Date: Mon Oct 29 2018 23:24:07 GMT+0000 (Coordinated Universal Time)
[task 2018-10-29T23:25:35.910Z] 23:25:35     INFO - Full Message: TypeError: content.document.getElementById(...) is null; can't access its "click" property
[task 2018-10-29T23:25:35.911Z] 23:25:35     INFO - Full Stack: JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: register :: line 205
[task 2018-10-29T23:25:35.912Z] 23:25:35     INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: completePromise :: line 717
[task 2018-10-29T23:25:35.913Z] 23:25:35     INFO - JS frame :: resource://testing-common/ContentTask.jsm :: receiveMessage :: line 110"]
[task 2018-10-29T23:25:35.914Z] 23:25:35     INFO - Buffered messages finished
[task 2018-10-29T23:25:35.915Z] 23:25:35     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/normandy/test/browser/browser_about_studies.js | Test timed out - 
[task 2018-10-29T23:25:35.915Z] 23:25:35     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-10-29T23:25:35.917Z] 23:25:35     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/normandy/test/browser/browser_about_studies.js | A promise chain failed to handle a rejection: TypeError: content.document.getElementById(...) is null; can't access its "click" property - stack: JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: register :: line 205
[task 2018-10-29T23:25:35.917Z] 23:25:35     INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: completePromise :: line 717
[task 2018-10-29T23:25:35.918Z] 23:25:35     INFO - JS frame :: resource://testing-common/ContentTask.jsm :: receiveMessage :: line 110Rejection date: Mon Oct 29 2018 23:24:07 GMT+0000 (Coordinated Universal Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
[task 2018-10-29T23:25:35.919Z] 23:25:35     INFO - Stack trace:
[task 2018-10-29T23:25:35.919Z] 23:25:35     INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
[task 2018-10-29T23:25:35.920Z] 23:25:35     INFO - chrome://mochikit/content/browser-test.js:nextTest:735
[task 2018-10-29T23:25:35.921Z] 23:25:35     INFO - chrome://mochikit/content/browser-test.js:timeoutFn:1190
[task 2018-10-29T23:25:35.922Z] 23:25:35     INFO - setTimeout handler*chrome://mochikit/content/browser-test.js:Tester_execTest:1152
[task 2018-10-29T23:25:35.922Z] 23:25:35     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:981
[task 2018-10-29T23:25:35.923Z] 23:25:35     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:795
[task 2018-10-29T23:25:35.924Z] 23:25:35     INFO - GECKO(3645) | MEMORY STAT | vsize 1939MB | residentFast 310MB | heapAllocated 82MB
[task 2018-10-29T23:25:35.925Z] 23:25:35     INFO - TEST-OK | toolkit/components/normandy/test/browser/browser_about_studies.js | took 90248ms
[task 2018-10-29T23:25:35.926Z] 23:25:35     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-10-29T23:25:35.927Z] 23:25:35     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/normandy/test/browser/browser_about_studies.js | Found a tab after previous test timed out: about:studies - 
[task 2018-10-29T23:25:35.928Z] 23:25:35     INFO - GECKO(3645) | ++DOCSHELL 0x7f7b76478800 == 1 [pid = 3841] [id = {d69d3d5d-051f-4866-8520-4cbc2688f1c8}]
[task 2018-10-29T23:25:35.929Z] 23:25:35     INFO - GECKO(3645) | ++DOMWINDOW == 1 (0x7f7b764b5400) [pid = 3841] [serial = 28] [outer = (nil)]
[task 2018-10-29T23:25:35.931Z] 23:25:35     INFO - GECKO(3645) | ++DOMWINDOW == 2 (0x7f7b764c3800) [pid = 3841] [serial = 29] [outer = 0x7f7b764b5400]
[task 2018-10-29T23:25:35.932Z] 23:25:35     INFO - GECKO(3645) | ++DOMWINDOW == 3 (0x7f7b764cd800) [pid = 3841] [serial = 30] [outer = 0x7f7b764b5400]
[task 2018-10-29T23:25:35.933Z] 23:25:35     INFO - checking window state
[task 2018-10-29T23:25:35.957Z] 23:25:35     INFO - TEST-START | toolkit/components/normandy/test/browser/browser_about_studies.js
[task 2018-10-29T23:25:36.107Z] 23:25:36     INFO - GECKO(3645) | ++DOCSHELL 0x7f072e3d8000 == 2 [pid = 3750] [id = {a3292bef-0a5a-4100-bbcd-2fd3277f6abc}]
[task 2018-10-29T23:25:36.111Z] 23:25:36     INFO - GECKO(3645) | ++DOMWINDOW == 3 (0x7f072e30cc00) [pid = 3750] [serial = 63] [outer = (nil)]
[task 2018-10-29T23:25:36.168Z] 23:25:36     INFO - GECKO(3645) | ++DOMWINDOW == 4 (0x7f072c808400) [pid = 3750] [serial = 64] [outer = 0x7f072e30cc00]
[task 2018-10-29T23:25:36.209Z] 23:25:36     INFO - GECKO(3645) | ++DOMWINDOW == 5 (0x7f072c80a000) [pid = 3750] [serial = 65] [outer = 0x7f072e30cc00]
[task 2018-10-29T23:25:36.775Z] 23:25:36     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-10-29T23:25:36.776Z] 23:25:36     INFO - Buffered messages logged at 23:25:36
[task 2018-10-29T23:25:36.776Z] 23:25:36     INFO - Entering test bound 
[task 2018-10-29T23:25:36.777Z] 23:25:36     INFO - Buffered messages finished
[task 2018-10-29T23:25:36.778Z] 23:25:36     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/normandy/test/browser/browser_about_studies.js | Uncaught exception received from previously timed out test - at chrome://mochitests/content/browser/toolkit/components/normandy/test/browser/browser_about_studies.js:66 - ReferenceError: is is not defined
[task 2018-10-29T23:25:36.779Z] 23:25:36     INFO - Stack trace:
[task 2018-10-29T23:25:36.779Z] 23:25:36     INFO - testUpdatePreferences@chrome://mochitests/content/browser/toolkit/components/normandy/test/browser/browser_about_studies.js:66:5
[task 2018-10-29T23:25:36.779Z] 23:25:36     INFO - async*withAboutStudies/</<@chrome://mochitests/content/browser/toolkit/components/normandy/test/browser/browser_about_studies.js:11:7
[task 2018-10-29T23:25:36.780Z] 23:25:36     INFO - async*withNewTab@resource://testing-common/BrowserTestUtils.jsm:111:24
[task 2018-10-29T23:25:36.781Z] 23:25:36     INFO - async*withAboutStudies/<@chrome://mochitests/content/browser/toolkit/components/normandy/test/browser/browser_about_studies.js:10:5
[task 2018-10-29T23:25:36.781Z] 23:25:36     INFO - Async*Tester_execTest/<@chrome://mochikit/content/browser-test.js:1093:34
[task 2018-10-29T23:25:36.781Z] 23:25:36     INFO - async*Tester_execTest@chrome://mochikit/content/browser-test.js:1084:16
[task 2018-10-29T23:25:36.782Z] 23:25:36     INFO - nextTest/<@chrome://mochikit/content/browser-test.js:981:9
[task 2018-10-29T23:25:36.782Z] 23:25:36     INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
[task 2018-10-29T23:25:36.798Z] 23:25:36     INFO - GECKO(3645) | [Child 3750, Main Thread] WARNING: 'aRv.Failed()', file /builds/worker/workspace/build/src/dom/ipc/StructuredCloneData.cpp, line 134
[task 2018-10-29T23:25:36.814Z] 23:25:36     INFO - TEST-PASS | toolkit/components/normandy/test/browser/browser_about_studies.js | App element was found - 
[task 2018-10-29T23:25:36.871Z] 23:25:36     INFO - Leaving test bound
Status: RESOLVED → REOPENED
Flags: needinfo?(mcooper)
Resolution: FIXED → ---
Target Milestone: Firefox 65 → ---
Assignee

Updated

7 months ago
Assignee: nobody → mcooper
Flags: needinfo?(mcooper)
Assignee

Updated

7 months ago
Flags: needinfo?(mcooper)
Assignee

Updated

7 months ago
Depends on: 1501877
Flags: needinfo?(mcooper)
Assignee

Comment 7

7 months ago
Comment on attachment 9020187 [details]
Bug 1502169 - Wait for learn more link before clicking it in about:Studies tests r=Gijs

[Beta/Release Uplift Approval Request]

Feature/Bug causing the regression: None

User impact if declined: This patch is needed for the uplift of bug 1498940

Is this code covered by automated tests?: Unknown

Has the fix been verified in Nightly?: No

Needs manual test from QE?: No

If yes, steps to reproduce: 

List of other uplifts needed: Bug 1501877

Risk to taking this patch: Low

Why is the change risky/not risky? (and alternatives if risky): This is change to tests that definitely improves the test, but may not fix the problem entirely. There may be a problem in the code that this doesn't fix.

String changes made/needed:
Attachment #9020187 - Flags: approval-mozilla-beta?
Assignee

Updated

7 months ago
Flags: needinfo?(mcooper)
Assignee

Updated

7 months ago
Duplicate of this bug: 1503026
Comment on attachment 9020187 [details]
Bug 1502169 - Wait for learn more link before clicking it in about:Studies tests r=Gijs

[Triage Comment]
Needed for bug 1498940, approved for 64.0b6.
Attachment #9020187 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
Also affects tier 1 jobs:

https://treeherder.mozilla.org/logviewer.html#?job_id=209085775&repo=mozilla-inbound&lineNumber=27647


[task 2018-11-01T06:11:07.901Z] 06:11:07     INFO - Date: Thu Nov 01 2018 06:09:39 GMT+0000 (Coordinated Universal Time)
[task 2018-11-01T06:11:07.903Z] 06:11:07     INFO - Full Message: TypeError: content.document.getElementById(...) is null; can't access its "click" property
[task 2018-11-01T06:11:07.905Z] 06:11:07     INFO - Full Stack: JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: register :: line 205
[task 2018-11-01T06:11:07.907Z] 06:11:07     INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: completePromise :: line 717
[task 2018-11-01T06:11:07.909Z] 06:11:07     INFO - JS frame :: resource://testing-common/ContentTask.jsm :: receiveMessage :: line 110"]
[task 2018-11-01T06:11:07.911Z] 06:11:07     INFO - Buffered messages finished
[task 2018-11-01T06:11:07.916Z] 06:11:07     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/normandy/test/browser/browser_about_studies.js | Test timed out - 
[task 2018-11-01T06:11:07.922Z] 06:11:07     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-11-01T06:11:07.924Z] 06:11:07     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/normandy/test/browser/browser_about_studies.js | A promise chain failed to handle a rejection: TypeError: content.document.getElementById(...) is null; can't access its "click" property - stack: JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: register :: line 205
[task 2018-11-01T06:11:07.926Z] 06:11:07     INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: completePromise :: line 717
[task 2018-11-01T06:11:07.928Z] 06:11:07     INFO - JS frame :: resource://testing-common/ContentTask.jsm :: receiveMessage :: line 110Rejection date: Thu Nov 01 2018 06:09:39 GMT+0000 (Coordinated Universal Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
[task 2018-11-01T06:11:07.930Z] 06:11:07     INFO - Stack trace:
[task 2018-11-01T06:11:07.932Z] 06:11:07     INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
[task 2018-11-01T06:11:07.934Z] 06:11:07     INFO - chrome://mochikit/content/browser-test.js:nextTest:736
[task 2018-11-01T06:11:07.936Z] 06:11:07     INFO - chrome://mochikit/content/browser-test.js:timeoutFn:1195
[task 2018-11-01T06:11:07.938Z] 06:11:07     INFO - setTimeout handler*chrome://mochikit/content/browser-test.js:Tester_execTest:1157
[task 2018-11-01T06:11:07.940Z] 06:11:07     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:987
[task 2018-11-01T06:11:07.942Z] 06:11:07     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:795
[task 2018-11-01T06:11:07.945Z] 06:11:07     INFO - GECKO(5351) | MEMORY STAT | vsize 1956MB | residentFast 309MB | heapAllocated 83MB
[task 2018-11-01T06:11:07.947Z] 06:11:07     INFO - TEST-OK | toolkit/components/normandy/test/browser/browser_about_studies.js | took 90360ms
[task 2018-11-01T06:11:07.948Z] 06:11:07     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-11-01T06:11:07.950Z] 06:11:07     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/normandy/test/browser/browser_about_studies.js | Found a tab after previous test timed out: about:studies -
Summary: Intermittent Test Verify toolkit/components/normandy/test/browser/browser_about_studies.js | Test timed out - → Intermittent toolkit/components/normandy/test/browser/browser_about_studies.js | Test timed out -
Comment hidden (Intermittent Failures Robot)

Comment 14

7 months ago
Pushed by mcooper@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/cb4c292192bf
about:studies: wait for more elements before interacting with them in tests r=Gijs

Comment 15

7 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/cb4c292192bf
Status: REOPENED → RESOLVED
Last Resolved: 7 months ago7 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 65
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Assignee

Comment 19

7 months ago
Clearing my needinfo because I hope that this will be fixed by the patch in comment 15.
Flags: needinfo?(mcooper)
Comment hidden (Intermittent Failures Robot)
You need to log in before you can comment on or make changes to this bug.